import java.util.*;

public class Company
{
    private String name;
    
    private CompanyType type;
    
    public Company(String n, CompanyType type) {
        this.name = n;
        this.type = type;
    }
    
    public String toString() {
        return "Company " + name + ", company type: " + type;
    }
    
    public String getName() {
        return name;
    }
    
    public CompanyType getType() {
        return type;
    }
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Company)) {
            return false;
        }
        
        if (obj == this) {
            return true;
        }
        
        Company comp = (Company) obj;
        return this.getName().equals(comp.getName()) && 
               this.getType().equals(comp.getType());
    }
    
    public static void main(String args[]) {
        Company comp1 = new Company("Zetor", CompanyType.AS);
        Company comp2 = new Company("Zetor", CompanyType.AS);
        Set<Company> set = new HashSet<>();
        set.add(comp1);
        set.add(comp2);
        System.out.println(set);
    }

}
